# Neops Task Engine Client
Neops workflow engine API documentation

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0
- Package version: 0.29.0
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import neops_workflow_engine_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import neops_workflow_engine_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import neops_workflow_engine_client
from neops_workflow_engine_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = neops_workflow_engine_client.Configuration(
    host = "http://localhost"
)



# Enter a context with an instance of the API client
with neops_workflow_engine_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = neops_workflow_engine_client.DefaultApi(api_client)

    try:
        api_instance.app_controller_get_hello()
    except ApiException as e:
        print("Exception when calling DefaultApi->app_controller_get_hello: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**app_controller_get_hello**](docs/DefaultApi.md#app_controller_get_hello) | **GET** / | 
*FunctionBlockApi* | [**function_blocks_controller_find_all**](docs/FunctionBlockApi.md#function_blocks_controller_find_all) | **GET** /function-blocks | 
*FunctionBlockApi* | [**function_blocks_controller_find_one**](docs/FunctionBlockApi.md#function_blocks_controller_find_one) | **GET** /function-blocks/{id} | 
*FunctionBlockApi* | [**function_blocks_controller_register**](docs/FunctionBlockApi.md#function_blocks_controller_register) | **POST** /function-blocks | 
*FunctionBlockApi* | [**function_blocks_controller_unregister**](docs/FunctionBlockApi.md#function_blocks_controller_unregister) | **DELETE** /function-blocks/{id} | 
*HealthApi* | [**health_controller_healthy**](docs/HealthApi.md#health_controller_healthy) | **GET** /health | 


## Documentation For Models

 - [HealthResponse](docs/HealthResponse.md)
 - [RegisterFunctionBlockDto](docs/RegisterFunctionBlockDto.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization

Endpoints do not require authorization.


## Author




